org.modeshape.jboss.subsystem

## Class AddMasterFileSystemIndexStorage

- java.lang.Object
- - org.jboss.as.controller.AbstractAddStepHandler
  - - org.modeshape.jboss.subsystem.AbstractAddIndexStorage
    - - org.modeshape.jboss.subsystem.AbstractAddFileSystemIndexStorage
      - - org.modeshape.jboss.subsystem.AddMasterFileSystemIndexStorage

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler

      public class AddMasterFileSystemIndexStorage
      extends AbstractAddFileSystemIndexStorage

  Handler for master-file-index-storage

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AddMasterFileSystemIndexStorage` | `INSTANCE`

    - ### Fields inherited from class org.modeshape.jboss.subsystem.AbstractAddFileSystemIndexStorage

      `indexSourcePathInDataDirectory, indexStoragePathInDataDirectory`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `populateModel(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)`
    `protected void` | `writeIndexingBackendConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument backend)`
    `protected void` | `writeIndexStorageConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument indexStorage, String repositoryName)`

    - ### Methods inherited from class org.modeshape.jboss.subsystem.AbstractAddFileSystemIndexStorage

      `addControllersAndDependencies, processLocalIndexStorageLocation, processSourceIndexStorageLocation, setIndexSourcePathInDataDirectory, setIndexStoragePathInDataDirectory`

    - ### Methods inherited from class org.modeshape.jboss.subsystem.AbstractAddIndexStorage

      `performRuntime, requiresRuntime, writeIndexStorageSpecificIndexingConfiguration`

    - ### Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `createResource, execute, populateModel, populateModel, requiresRuntimeVerification, rollbackRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final AddMasterFileSystemIndexStorage INSTANCE

  - ### Method Detail

    - #### writeIndexingBackendConfiguration

          protected void writeIndexingBackendConfiguration(org.jboss.as.controller.OperationContext context,
                                               org.jboss.dmr.ModelNode storage,
                                               EditableDocument backend)
                                                    throws org.jboss.as.controller.OperationFailedException

      Overrides:
        `writeIndexingBackendConfiguration` in class `AbstractAddIndexStorage`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### writeIndexStorageConfiguration

          protected void writeIndexStorageConfiguration(org.jboss.as.controller.OperationContext context,
                                            org.jboss.dmr.ModelNode storage,
                                            EditableDocument indexStorage,
                                            String repositoryName)
                                                 throws org.jboss.as.controller.OperationFailedException

      Specified by:
        `writeIndexStorageConfiguration` in class `AbstractAddIndexStorage`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### populateModel

          protected void populateModel(org.jboss.dmr.ModelNode operation,
                           org.jboss.dmr.ModelNode model)
                                throws org.jboss.as.controller.OperationFailedException

      Overrides:
        `populateModel` in class `org.jboss.as.controller.AbstractAddStepHandler`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.